
textures/maptex/waterfall
{
	qer_editorimage textures/maptex/waterfall.tga
	q3map_globaltexture
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm water
	surfaceparm nolightmap
	surfaceparm nomarks
	tessSize 64
	cull disable
	
	{
		map textures/maptex/waterf1.tga
		blendfunc GL_DST_COLOR GL_SRC_COLOR		
		tcMod scale 1.0 2.0
		tcMod turb .1 .05 .25 .08
		tcMod scroll .8 -.125
	}
          
          { 
  map textures/maptex/waterf2.tga 
  blendfunc GL_DST_COLOR GL_ONE 
  tcMod scale .5 .5 
  tcMod turb .1 .075 .5 .05 
  tcMod scroll 1. .1 
 }
  

} 

textures/maptex/water
{
    qer_trans 0.25
    cull disable
    surfaceparm trans
    surfaceparm noimpact
    surfaceparm water
    surfaceparm nolightmap
    surfaceparm nomarks
    deformVertexes wave 100 sin 0 4 0 0.75
    tessSize 192
    {
        map textures/maptex/water.tga
        blendFunc GL_DST_COLOR GL_SRC_COLOR
        rgbGen vertex
        tcMod scroll 0.05 -0.03
    }
    {
        map textures/maptex/water.tga
        blendFunc GL_DST_COLOR GL_ONE
        rgbGen vertex
        tcMod scroll 0.045 0.05
    }
}

textures/maptex/k_toplights_red
{
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/maptex/k_toplights_red.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/detail/metalsmooth.tga
        blendFunc GL_DST_COLOR GL_SRC_COLOR
        detail
        tcMod scale 3.9 4.2
    }
    {
        map textures/maptex/k_toplights_glow_red.tga
        blendFunc GL_ONE GL_ONE
    }
}

textures/maptex/k_toplights_blue
{
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/maptex/k_toplights_blue.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/detail/metalsmooth.tga
        blendFunc GL_DST_COLOR GL_SRC_COLOR
        detail
        tcMod scale 3.9 4.2
    }
    {
        map textures/maptex/k_toplights_glow_blue.tga
        blendFunc GL_ONE GL_ONE
    }
}

textures/maptex/trim_yellow
{
	qer_editorimage textures/maptex/trim.tga
	q3map_lightimage textures/maptex/trim_yellow_blend.tga
	surfaceparm nodlight
	surfaceparm nomarks
	q3map_lightsubdivide 60
	q3map_surfacelight 640
	{
		map textures/maptex/trim.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/maptex/trim_yellow_blend.tga
		blendfunc add
		rgbGen wave sawtooth 0.6 0.1 0 7 
	}
}

textures/maptex/trim_red
{
	qer_editorimage textures/maptex/trim.tga
	q3map_lightimage textures/maptex/trim_red_blend.tga
	surfaceparm nodlight
	surfaceparm nomarks
	q3map_lightsubdivide 60
	q3map_surfacelight 640
	{
		map textures/maptex/trim.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/maptex/trim_red_blend.tga
		blendfunc add
		rgbGen wave sawtooth 0.6 0.1 0 7 
	}
}

textures/maptex/trim_blue
{
	qer_editorimage textures/maptex/trim.tga
	q3map_lightimage textures/maptex/trim_blue_blend.tga
	surfaceparm nodlight
	surfaceparm nomarks
	q3map_lightsubdivide 60
	q3map_surfacelight 640
	{
		map textures/maptex/trim.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/maptex/trim_blue_blend.tga
		blendfunc add
		rgbGen wave sawtooth 0.6 0.1 0 7 
	}
}

textures/maptex/trim_white
{
	qer_editorimage textures/maptex/trim.tga
	q3map_lightimage textures/maptex/trim_white_blend.tga
	surfaceparm nodlight
	surfaceparm nomarks
	q3map_lightsubdivide 60
	q3map_surfacelight 640
	{
		map textures/maptex/trim.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/maptex/trim_white_blend.tga
		blendfunc add
		rgbGen wave sawtooth 0.6 0.1 0 7 
	}
}

textures/maptex/trim_green
{
	qer_editorimage textures/maptex/trim.tga
	q3map_lightimage textures/maptex/trim_green_blend.tga
	surfaceparm nodlight
	surfaceparm nomarks
	q3map_lightsubdivide 60
	q3map_surfacelight 640
	{
		map textures/maptex/trim.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/maptex/trim_green_blend.tga
		blendfunc add
		rgbGen wave sawtooth 0.6 0.1 0 7 
	}
}

textures/maptex/teleporter_red
{
	qer_editorimage textures/maptex/teleporterfx1_red.tga
	surfaceparm trans
	surfaceparm nolightmap
	cull none
	cull disable
	//deformVertexes autosprite
	{
		clampmap textures/maptex/teleporterfx1_red.tga
		tcmod rotate -175
		blendfunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
	clampmap textures/maptex/teleporterfx2_red.tga
	tcmod rotate 255
	blendfunc GL_ONE GL_ONE
	rgbGen wave sin 0.2 0.6 0 2.5
	rgbGen identity
	}

}

textures/maptex/screen
{
	qer_editorimage textures/maptex/screen_1.jpg
	q3map_lightimage textures/maptex/screen_2.jpg
	surfaceparm nodlight
	surfaceparm nomarks
	q3map_lightsubdivide 60
	q3map_surfacelight 3000
	{
		map textures/maptex/screen_1.jpg
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/maptex/screen_2.jpg
		blendfunc add
		rgbGen wave sawtooth 0.6 0.1 0 7 
	}
}

textures/maptex/screen2
{
	qer_editorimage textures/maptex/screen_1.jpg
	q3map_lightimage textures/maptex/screen_3.jpg
	surfaceparm nodlight
	surfaceparm nomarks
	q3map_lightsubdivide 60
	q3map_surfacelight 3000
	{
		map textures/maptex/screen_1.jpg
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/maptex/screen_3.jpg
		blendfunc add
		rgbGen wave sawtooth 0.6 0.1 0 7 
	}
}

textures/maptex/tffscroll_01 
{ 
qer_editorimage textures/maptex/tffscroll_01.jpg 
surfaceparm noimpact 
surfaceparm nomarks 

{ 
map textures/maptex/tffscroll_01.jpg
tcMod scroll 0.5 0 
} 
{ 
map $lightmap 
blendfunc filter 
rgbGen identity 
tcGen lightmap 
depthFunc equal 
} 
} 

textures/maptex/tffscroll_02 
{ 
qer_editorimage textures/maptex/tffscroll_02.jpg 
surfaceparm noimpact 
surfaceparm nomarks 

{ 
map textures/maptex/tffscroll_02.jpg
tcMod scroll 0.5 0 
} 
{ 
map $lightmap 
blendfunc filter 
rgbGen identity 
tcGen lightmap 
depthFunc equal 
} 
} 

textures/maptex/space_flare_a
{
 	cull disable
 	cull none
 	surfaceparm nolightmap
 	surfaceparm trans
 	surfaceparm nomarks
	q3map_lightsubdivide 60
	q3map_surfacelight 640

 		{
  		clampmap textures/maptex/space_flare_a.tga
  		blendfunc blend
  		rgbGen identity
  		}
}

textures/maptex/stars
{
	qer_editorimage textures/maptex/star1.tga
	surfaceparm nodlights
	surfaceparm noimpact 
	
	{
		map textures/maptex/star1.tga
		tcmod scroll 1 0
		
	}

	{
  		map $lightmap
		blendfunc filter
		rgbgen identity
	}	
	
	{
		map textures/maptex/star2.tga
		tcmod scroll 0.75 0
		blendfunc add
	}	
	
	{
		map textures/maptex/star3.tga
		tcmod scroll 0.5 0
		blendfunc add
	}	
}

textures/maptex/t-flr_oddtile_drty
{        
	{ 
		map textures/maptex/t-flr_oddtile_drty_glow.tga
		tcMod turb 1 1 1 1 
		tcmod scale 2 1 
		tcmod scroll 1 2 
		blendFunc GL_ONE GL_ZERO 
		rgbGen identity 
	} 
	{ 
		map textures/maptex/t-flr_oddtile_drty.tga 
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
		rgbGen identity 
	} 
	{ 
		map $lightmap 
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA 
		rgbGen identity 
	} 
}
